Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355763 - xfce4-pulseaudio-plugin must NOT supersede xfce4-mixer and xfce4-volumed
Summary: xfce4-pulseaudio-plugin must NOT supersede xfce4-mixer and xfce4-volumed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-pulseaudio-plugin
Version: 24
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 13:25 UTC by Artem S. Tashkinov
Modified: 2016-09-23 00:24 UTC (History)
4 users (show)

Fixed In Version: xfce4-pulseaudio-plugin-0.2.4-5.fc25 xfce4-pulseaudio-plugin-0.2.4-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 07:32:47 UTC


Attachments (Terms of Use)
xfce4-pulseaudio-plugin-do-not-deprecate-mixer.patch (deleted)
2016-07-13 08:57 UTC, Artem S. Tashkinov
no flags Details | Diff

Description Artem S. Tashkinov 2016-07-12 13:25:40 UTC
Fedora 24 xfce4-pulseaudio-plugin package deprecates and replaces xfce4-mixer and xfce4-volumed - that's entirely wrong - people may run their systems without PulseAudio, with ALSA as a direct backend for their audio applications.

Also it's totally possible, sensible and viable to have both audio systems and mixers enabled.

xfce4-pulseaudio-plugin must NOT supersede xfce4-mixer and xfce4-volumed

Comment 1 Mukundan Ragavan 2016-07-13 00:22:22 UTC
Well, xfce4-volumed does not exist anymore.

And, as far as I know/remember, xfce4-mixer has indeed been superseded by xfce4-pulseaudio-plugin.

So, there is nothing to fix here in my opinion. Please feel free to reopen if you think otherwise.

Comment 2 Artem S. Tashkinov 2016-07-13 08:57:14 UTC
Created attachment 1179150 [details]
xfce4-pulseaudio-plugin-do-not-deprecate-mixer.patch

Both packages still exist in Fedora 24 and can be installed successfully.

xfce4-volumed-0.1.13-10.fc24.x86_64.rpm
xfce4-mixer-4.10.0-10.fc24.x86_64.rpm

Please fix the spec file.

Comment 3 Mukundan Ragavan 2016-07-13 22:11:42 UTC
I did not contest that these are present in Fedora, these will be retired soon. That's also the reason why they were removed from comps as well (quite a while ago).

xfce4-volumed has been dead for sometime. xfce4-mixer is going to be replaced by xfce4-pulseaudio-plugin - at least as far as I know [1].

As I mentioned earlier, there is nothing to fix here. I am closing this as WONTFIX.

[1] https://mail.xfce.org/pipermail/xfce4-dev/2015-June/031291.html

Comment 4 Artem S. Tashkinov 2016-07-14 06:11:43 UTC
(In reply to Mukundan Ragavan from comment #3)

It's still (even in Rawhide) perfectly possible and feasible to run the distro without PA server running which means XFCE users will not be able to configure their volume levels, or see their actual volume levels.

The fact that it seems to be dead doesn't mean anything - it might be perfect and it doesn't need any actual maintenance. It does what it's supposed to do, so I see no problem.

There's a SPEC file to be fixed. It's buggy and it actively tries to break my system every time I run `dnf update`. I am NOT running pulse audio server, I don't even have it installed.

There's a major bug here. I don't have means of managing my volume.

Comment 5 Artem S. Tashkinov 2016-07-14 06:15:22 UTC
Again,

PULSE AUDIO IS NOT A HARD REQUIREMENT IN ANY EXISTING LINUX DISTRO INCLUDING FEDORA

Stop making it look like like everyone must have it installed and must not use ALSA directly. There are still use cases when direct access to ALSA is preferable and desired - for instance PA adds considerable latency.

And in this case XFCE users are FUCKED because they have no means of managing their volume levels and multimedia VolUP and VolDOWN keys do NOT work for them.

I request these two offending strings to be removed from this SPEC file.

Comment 6 Mukundan Ragavan 2016-07-14 22:24:30 UTC
(In reply to Artem S. Tashkinov from comment #5)
> 
> PULSE AUDIO IS NOT A HARD REQUIREMENT IN ANY EXISTING LINUX DISTRO INCLUDING
> FEDORA

I will no longer reply to what I perceive as shouting matches here.

I will leave/remove the obsoletes based on reply I get here - https://mail.xfce.org/pipermail/xfce4-dev/2016-July/031698.html

If it's going to be maintained, I will remove the obsoletes. If not, it stays.

Comment 7 Artem S. Tashkinov 2016-07-14 22:30:13 UTC
(In reply to Mukundan Ragavan from comment #6)

Are xfce4-volumed or xfce4-volumed broken? No. Don't they serve their functions? They do. Doesn't "Obsolete" reduce the freedom to use Fedora the way I want to use it. Yes. Maybe it's Fedora's stance nowadays which has become "Use it our way or go **** off"?

Pathetic. You refer to that mailing post as an excuse to kill something that works.

Comment 8 Artem S. Tashkinov 2016-07-14 22:36:53 UTC
(In reply to Mukundan Ragavan from comment #6)
> I will no longer reply to what I perceive as shouting matches here.

Yeah, let's start calling names and use argumentum ad hominem. Kudos! You can be proud of yourself.

I'm closing this bug report as "WONTFIX". There's no "IT'S OUR LAWN SO GO F OFF" resolution unfortunately. It's a lot more befitting.

Comment 9 Artem S. Tashkinov 2016-07-14 22:47:32 UTC
I've noticed a strange thing about Fedora/RedHat: only the bugs that affect Fedora/RedHat developers/maintainers get fixed in a timely manner, or if there are enough backers  (sometimes more than thirty) or duplicates (at least five). Otherwise no one gives a flying f***.

I'm following bug reports which were open in 2010, 2011, 2012, etc, yet they receive zero attention.

I'm talking about bugs open against RPM (developed by RedHat), DNF/YUM (developed by RedHat), GTK3 (developed by RedHat), SeLinux (co-developed with RedHat) etc. etc. etc.

It's amazing! Keep up the amazing work, guys. Just don't be alarmed about the quickly dwindling number of Fedora users.

Comment 10 Artem S. Tashkinov 2016-08-23 08:35:55 UTC
I do not have PA installed at all and without ALSA applets I cannot manage volume levels in XFCE.

I insist that the xfce4-pulseaudio-plugin package should stop being a replacement for *perfectly* working xfce4-mixer and xfce4-volumed.

I will reopen this bug until it's resolved. I will involve FeSCo if necessary. This is freaking madness.

Stop telling me how to use my system. Enough. I refuse to have PA installed, and Fedora last time I checked, deems it possible.

Stop deprecating perfectly working packages unless you want Fedora to become the least used distro.

Comment 11 Mukundan Ragavan 2016-09-01 22:44:14 UTC
I am curious - 

why can't you just install xfce4-mixer and exclude xfce4-pulseaudio-plugin in dnf conf if you are so desperately avoiding pulseaudio? After all, xfce4-mixer is still present in the repositories ...

It seems sensible from a package management standpoint to use something that is being actively developed upstream to me - and hence my reluctance to remove the obsoletes.

Comment 12 Artem S. Tashkinov 2016-09-02 06:01:16 UTC
(In reply to Mukundan Ragavan from comment #11)

> why can't you just install xfce4-mixer and exclude xfce4-pulseaudio-plugin in dnf conf if you are so desperately avoiding pulseaudio? After all, xfce4-mixer is still present in the repositories ...

Actually that's what I did but I don't like this solution. It's for an issue that you yourself created.

> It seems sensible from a package management standpoint to use something that is being actively developed upstream to me - and hence my reluctance to remove the obsoletes.

I wonder why there *dozens* of unsupported yet perfectly working applications and libraries in Fedora and they are still there, no one is trying to deprecate and remove them.

Also the ALSA library is more or less stable. What's the point of removing a component which causes no troubles other than being a sore for the people who are obsessed with Pulse Audio?

Comment 13 Miroslav Lichvar 2016-09-07 07:20:59 UTC
Adding exclude=xfce4-pulseaudio-plugin to dnf.conf seems to fix the problem for me, but I think it's really odd to have a package in the repository that obsoletes another package in the repository, especially when it's not really a compatible replacement and they don't conflict with each other. I'm not sure if the packaging guidelines cover this case.

Comment 14 Artem S. Tashkinov 2016-09-07 09:23:34 UTC
(In reply to Miroslav Lichvar from comment #13)
> especially when it's not really a compatible replacement

That's what this bug is actually about, however the maintainer has a firm belief that everyone must use PulseAudio.

Comment 15 Kevin Fenzi 2016-09-07 16:02:46 UTC
(In reply to Artem S. Tashkinov from comment #14)
> (In reply to Miroslav Lichvar from comment #13)
> > especially when it's not really a compatible replacement
> 
> That's what this bug is actually about, however the maintainer has a firm
> belief that everyone must use PulseAudio.

Thats not correct. The issue is that upstream is no longer maintaining xfce4-mixer, and it's becoming more and more broken. (Things like it using gstreamer1 and no one porting to newer. It won't be too long until gstreamer1 is dropped from Fedora and then it will be completely broken).

Comment 16 Artem S. Tashkinov 2016-09-07 16:24:15 UTC
(In reply to Kevin Fenzi from comment #15)

Upstream has both packages readily available. They have _not_ deprecated those two packages _officially_ yet.

Only if a next XFCE release is packaged without these packages and _also_ the said packages are not compilable and functional, then there's a _slight_ reason not to include them (again there are _dozens_ of unmaintained packages in Fedora but since they have no replacement they are still included). XFCE PA plugin is _not_ a replacement for XFCE (alsa) mixer.

We've seen great many times that unrelated entities started maintaining deprecated packages after the official maintainers gave up on them. Cinnamon and TDE are prime examples.

Anyways, the point is, a Fedora maintainer has _no_ right to decide what features to _remove_. Right now we are talking about the removal of support of setting audio volumes in XFCE using ALSA directly.

Comment 17 Mukundan Ragavan 2016-09-09 00:52:31 UTC
We (both maintainers) have decided to remove the obsoletes for now. I will push this to git sometime in the next few days.

xfce4-mixer will go away (in Fedora) as soon as it starts raking up issues (bugs, gstreamer1 issues, etc.) - unless it is ported upstream.

Comment 18 Artem S. Tashkinov 2016-09-09 05:03:21 UTC
(In reply to Mukundan Ragavan from comment #17)

> We (both maintainers) have decided to remove the obsoletes for now. I will push this to git sometime in the next few days.

Let's make the lives of people who don't use PA and use XFCE plus ALSA a living hell. Great! Let people use alsamixer from console. That'll be fun, we promise.

> xfce4-mixer will go away (in Fedora) as soon as it starts raking up issues (bugs, gstreamer1 issues, etc.) - unless it is ported upstream.

Some "supported" and actively developed packages have hundreds of bugs filed against them. By the same token let's remove ... the Linux kernel (Fedora is often late at offering fresh kernel releases), let's remove ... pulse audio, let's remove network manager - they are all buggy as hell.

I don't see XFCE-mixer accumulating bugs any time soon. Also, pulseaudio-plugin doesn't provide the on screen indicator of volume changes as volumed does.

Why the hell are you removing a _perfectly_ working piece of software and replace it with something which doesn't provide the same functions? Why for God's sake?

Fedora has numerous "obsolete/unmaintained/deprecated" packages, yet Fedora and other distros maintain those packages and no one is crying foul. Among other distros Fedora is the only one which is removing these two packages.

This is the worst attitude I've seen from Fedora maintainers since RedHat 5.0 days.

This is all fucked up beyond any measure. I have no other words.

I'm closing this bug report as WONTFIX. Do what you want.

Comment 19 Miroslav Lichvar 2016-09-09 06:37:50 UTC
(In reply to Mukundan Ragavan from comment #17)
> We (both maintainers) have decided to remove the obsoletes for now. I will
> push this to git sometime in the next few days.

Thanks!

> xfce4-mixer will go away (in Fedora) as soon as it starts raking up issues
> (bugs, gstreamer1 issues, etc.) - unless it is ported upstream.

Ok, fair enough. I hope someone will be able to help upstream or take over.

Comment 20 Fedora Update System 2016-09-13 00:54:28 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8786f8d4b

Comment 21 Fedora Update System 2016-09-13 00:54:34 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-64955646bb

Comment 22 Fedora Update System 2016-09-14 02:52:29 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-64955646bb

Comment 23 Fedora Update System 2016-09-14 03:25:17 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8786f8d4b

Comment 24 Fedora Update System 2016-09-22 07:32:47 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-09-23 00:24:04 UTC
xfce4-pulseaudio-plugin-0.2.4-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.